-1

Just tried this on my RPi3B+:

pi@pi-boxcalmeas-01:~ $ sudo apt install samba samba-common-bin smbclient cifs-utils
Reading package lists... Done
Building dependency tree
Reading state information... Done
cifs-utils is already the newest version (2:6.7-1).
The following packages were automatically installed and are no longer required:
  libjs-angularjs libjs-bootstrap
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  attr libaio1 libfile-copy-recursive-perl python-dnspython python-ldb python-samba python-tdb samba-dsdb-modules samba-vfs-modules tdb-tools update-inetd
Suggested packages:
  python-gpgme bind9 bind9utils ctdb ldb-tools ntp | chrony smbldap-tools winbind ufw heimdal-clients
The following NEW packages will be installed:
  attr libaio1 libfile-copy-recursive-perl python-dnspython python-ldb python-samba python-tdb samba samba-common-bin samba-dsdb-modules samba-vfs-modules
  smbclient tdb-tools update-inetd
0 upgraded, 14 newly installed, 0 to remove and 0 not upgraded.
Need to get 3.580 kB/3.845 kB of archives.
After this operation, 25,0 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Err:1 http://raspbian.raspberrypi.org/raspbian stretch/main armhf python-samba armhf 2:4.5.16+dfsg-1+deb9u1
  404  Not Found [IP: 93.93.128.193 80]
Err:2 http://raspbian.raspberrypi.org/raspbian stretch/main armhf samba-common-bin armhf 2:4.5.16+dfsg-1+deb9u1
  404  Not Found [IP: 93.93.128.193 80]
Err:3 http://raspbian.raspberrypi.org/raspbian stretch/main armhf samba armhf 2:4.5.16+dfsg-1+deb9u1
  404  Not Found [IP: 93.93.128.193 80]
Err:4 http://raspbian.raspberrypi.org/raspbian stretch/main armhf smbclient armhf 2:4.5.16+dfsg-1+deb9u1
  404  Not Found [IP: 93.93.128.193 80]
Err:5 http://raspbian.raspberrypi.org/raspbian stretch/main armhf samba-dsdb-modules armhf 2:4.5.16+dfsg-1+deb9u1
  404  Not Found [IP: 93.93.128.193 80]
Err:6 http://raspbian.raspberrypi.org/raspbian stretch/main armhf samba-vfs-modules armhf 2:4.5.16+dfsg-1+deb9u1
  404  Not Found [IP: 93.93.128.193 80]
E: Failed to fetch http://raspbian.raspberrypi.org/raspbian/pool/main/s/samba/python-samba_4.5.16+dfsg-1+deb9u1_armhf.deb  404  Not Found [IP: 93.93.128.193 80]
E: Failed to fetch http://raspbian.raspberrypi.org/raspbian/pool/main/s/samba/samba-common-bin_4.5.16+dfsg-1+deb9u1_armhf.deb  404  Not Found [IP: 93.93.128.193 80]
E: Failed to fetch http://raspbian.raspberrypi.org/raspbian/pool/main/s/samba/samba_4.5.16+dfsg-1+deb9u1_armhf.deb  404  Not Found [IP: 93.93.128.193 80]
E: Failed to fetch http://raspbian.raspberrypi.org/raspbian/pool/main/s/samba/smbclient_4.5.16+dfsg-1+deb9u1_armhf.deb  404  Not Found [IP: 93.93.128.193 80]
E: Failed to fetch http://raspbian.raspberrypi.org/raspbian/pool/main/s/samba/samba-dsdb-modules_4.5.16+dfsg-1+deb9u1_armhf.deb  404  Not Found [IP: 93.93.128.193 80]
E: Failed to fetch http://raspbian.raspberrypi.org/raspbian/pool/main/s/samba/samba-vfs-modules_4.5.16+dfsg-1+deb9u1_armhf.deb  404  Not Found [IP: 93.93.128.193 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

A year ago or so when I was setting this Pi up, I did not experience a problem like this.

While this link is still online: http://raspbian.raspberrypi.org/raspbian/dists/stretch/ - and it lists some files and directories:

[DIR]   Parent Directory        -        
[ ] Contents-armhf.gz   21-Jan-2020 04:50   34M     Details
[ ] Contents-udeb-armhf.gz  12-Nov-2019 10:27   41K     Details
[DIR]   binary-armhf/   21-Jan-2020 06:03   -        
[DIR]   debian-installer/   13-Apr-2017 20:47   -        
[DIR]   source/ 21-Jan-2020 06:03   -        

... there are no actual .deb files/packages anywhere.

Is there a new link for stretch, and if so, where do I find it?

2
  • Have you run sudo apt update before trying your upgrade? – Dougie Jan 24 '20 at 10:07
  • 1
    Raspbian Stretch is out of date - why have you not re-flashed Raspbian Buster? – CoderMike Jan 24 '20 at 10:51
0

Your attempt to diagnose the download problem has led you astray - you are looking in the wrong place.

raspbian.raspberrypi.org is slow and unreliable. This is a known problem, which affects many people (although not all) it is probably an internet routing issue.

If you keep trying it will eventually work, although (except for kernel/firmware updates) I replace in /etc/apt/sources.list, with a local mirror; in my case

deb http://raspbian.melbourneitmirror.net/raspbian/ stretch main contrib non-free rpi

although you could select a local mirror from https://www.raspbian.org/RaspbianMirrors/

See https://raspberrypi.stackexchange.com/a/105824/8697

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.